Page Summary
-
This method lists the connected site tags for a Universal Analytics property, returning a maximum of 20 tags.
-
The request is a POST to
https://analyticsadmin.googleapis.com/v1alpha/properties:listConnectedSiteTagsand requires a request body specifying the Universal Analytics property. -
The response body contains an array of
connectedSiteTagsobjects. -
Authorization requires either the
https://www.googleapis.com/auth/analytics.readonlyorhttps://www.googleapis.com/auth/analytics.editOAuth scope.
Lists the connected site tags for a Universal Analytics property. A maximum of 20 connected site tags will be returned. Note: this has no effect on GA4 property.
HTTP request
POST https://analyticsadmin.googleapis.com/v1alpha/properties:listConnectedSiteTags
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "property": string } |
| Fields | |
|---|---|
property |
The Universal Analytics property to fetch connected site tags for. This does not work on GA4 properties. A maximum of 20 connected site tags will be returned. Example Format: |
Response body
Response message for properties.listConnectedSiteTags RPC.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"connectedSiteTags": [
{
object ( |
| Fields | |
|---|---|
connectedSiteTags[] |
The site tags for the Universal Analytics property. A maximum of 20 connected site tags will be returned. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/analytics.readonlyhttps://www.googleapis.com/auth/analytics.edit